about summary refs log tree commit diff
path: root/tests/parallel.builder.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/parallel.builder.sh')
-rw-r--r--tests/parallel.builder.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/tests/parallel.builder.sh b/tests/parallel.builder.sh
new file mode 100644
index 000000000000..d6d0bedf455a
--- /dev/null
+++ b/tests/parallel.builder.sh
@@ -0,0 +1,32 @@
+echo "DOING $text"
+
+
+export PATH=/bin:/usr/bin:$PATH
+
+
+# increase counter
+while ! ln -s x $shared.lock; do
+    sleep 1
+done
+test -f $shared.cur || echo 0 > $shared.cur
+test -f $shared.max || echo 0 > $shared.max
+new=$(($(cat $shared.cur) + 1))
+if test $new -gt $(cat $shared.max); then
+    echo $new > $shared.max
+fi
+echo $new > $shared.cur
+rm $shared.lock
+
+
+echo -n $(cat $inputs)$text > $out
+
+sleep 3
+
+
+# decrease counter
+while ! ln -s x $shared.lock; do
+    sleep 1
+done
+test -f $shared.cur || echo 0 > $shared.cur
+echo $(($(cat $shared.cur) - 1)) > $shared.cur
+rm $shared.lock